Submit a Document for Processing

Use this endpoint to submit a document to DocuPipe for processing. You can upload a local file or provide a URL to a remote file. Upon submission, receive a unique documentId which you may use to retrieve the document's results, or apply subsequent workflows on it.

Max document size is 3000 pages and 3000 MB. Max metadata size is 10KB.

You may also provide a workflowId to apply a pre-defined workflow to the document.

Body Params
document
object
required

The document to be analyzed, provided either as a file or via a URL.

pages
array of integers
Defaults to

List of page numbers to be parsed (zero indexed). If not provided, all pages will be parsed.

Pages
string
Defaults to unassigned

Name of the dataset to which you want to assign this document. It can be any string. This is useful to group your documents

metadata
object

Optional metadata to associate with the document.

number
Defaults to 3

Version of parsing. Available versions are 1, 2, 3

string
enum

Method to use for processing the document. The options are: asImage (treats native PDFs as images), or removeWatermark (removes watermarks from PDFs before processing). Note that removeWatermark is experimental.

Allowed:
integer

The timeout in seconds for the job for webhook error reporting

string

Advanced Feature Unique identifier of the workflow to be applied to the doucment once it is processed. See POST /workflow/onSubmitDocument for more details.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json